Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class ImgElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<ImgElem>
                      sharin.doc.builder.xhtml1.ImgElem

    public class ImgElem

extends GenericCommonElem<ImgElem>

Constructor Summary
`ImgElem(Object... nodes)`

Method Summary
`ImgElem` | `align(Object value)`
`ImgElem` | `alignBottom()`
`ImgElem` | `alignLeft()`
`ImgElem` | `alignMiddle()`
`ImgElem` | `alignRight()`
`ImgElem` | `alignTop()`
`ImgElem` | `alt(Object value)`
`ImgElem` | `border(Object value)`
`ImgElem` | `height(Object value)`
`ImgElem` | `hspace(Object value)`
`ImgElem` | `ismap(boolean ismap)`
`ImgElem` | `ismap(Object value)`
`ImgElem` | `longdesc(Object value)`
`ImgElem` | `name(Object value)`
`ImgElem` | `src(Object value)`
`ImgElem` | `usemap(Object value)`
`ImgElem` | `vspace(Object value)`
`ImgElem` | `width(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImgElem

    public ImgElem(Object... nodes)

Method Detail

### align

    public ImgElem align(Object value)

### alignBottom

    public ImgElem alignBottom()

### alignLeft

    public ImgElem alignLeft()

### alignMiddle

    public ImgElem alignMiddle()

### alignRight

    public ImgElem alignRight()

### alignTop

    public ImgElem alignTop()

### alt

    public ImgElem alt(Object value)

### border

    public ImgElem border(Object value)

### height

    public ImgElem height(Object value)

### hspace

    public ImgElem hspace(Object value)

### ismap

    public ImgElem ismap(boolean ismap)

### ismap

    public ImgElem ismap(Object value)

### longdesc

    public ImgElem longdesc(Object value)

### name

    public ImgElem name(Object value)

### src

    public ImgElem src(Object value)

### usemap

    public ImgElem usemap(Object value)

### vspace

    public ImgElem vspace(Object value)

### width

    public ImgElem width(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.